<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="vip.xiaonuo.biz.modular.rechargerecord.mapper.BizRechargeRecordMapper">

    <select id="pageList" resultType="vip.xiaonuo.biz.modular.rechargerecord.entity.BizRechargeRecord">
        SELECT
            t.id,
            t.user_id,
            su.NAME,
            su.PHONE,
            t.recharge_plan_id,
            t.plan_account_balance,
            t.recharge_amount,
            t.recharge_time,
            t.old_account_balance,
            t.old_voucher_balance,
            t.new_account_balance,
            t.new_voucher_balance,
            t.recharge_plan_describe,
            t.order_no,
            t.wx_pay_amount,
            t.is_pay,
            t.pay_time
        FROM biz_recharge_record t
        LEFT JOIN SYS_USER su ON t.user_id = su.id
        <where>
            ${ew.sqlSegment}
        </where>
    </select>
</mapper>